Subject: Re: USB support in the HardHet Linux 2.4.2 on the IBM Walnut

From: Dan Malek <[email-masked]>
Date: Tue, 04 Sep 2001 15:56:50 -0400

Eli Chen wrote:

> We have managed to get the USB ohci driver to work on the Walnut board.  I
> believe one of the problems was that the 405gp platform did not guarantee
> cache coherency for pci-dma.

All of the problems found so far are associated with cache coherency.
One of the changes, which still isn't really correct, is to change the
consistent_sync() function to always writeback and invalidate.  We
seem to be more lucky with this, but the proper solution is to cache
line align all buffers subject to DMA.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/